Winsvc (JNA API)

com.sun.jna.platform.win32

## Interface Winsvc

-     public interface Winsvc

  This module defines the 32-Bit Windows types and constants that are defined by NT, but exposed through the Win32 API. Ported from Winsvc.h. Microsoft Windows SDK 7.0A.
  Author:
    EugineLev

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Winsvc.ChangeServiceConfig2Info`
    `static class` | `Winsvc.SC_ACTION` Represents an action that the service control manager can perform.
    `static class` | `Winsvc.SC_HANDLE`
    `static class` | `Winsvc.SC_STATUS_TYPE` The SC_STATUS_TYPE enumeration type contains values
    `static class` | `Winsvc.SERVICE_FAILURE_ACTIONS` Represents the action the service controller should take on each failure of a service.
    `static class` | `Winsvc.SERVICE_FAILURE_ACTIONS_FLAG` Contains the failure actions flag setting of a service.
    `static class` | `Winsvc.SERVICE_STATUS` Contains status information for a service.
    `static class` | `Winsvc.SERVICE_STATUS_PROCESS` Contains process status information for a service.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SC_ACTION_NONE`
    `static int` | `SC_ACTION_REBOOT`
    `static int` | `SC_ACTION_RESTART`
    `static int` | `SC_ACTION_RUN_COMMAND`
    `static int` | `SC_MANAGER_ALL_ACCESS`
    `static int` | `SC_MANAGER_CONNECT`
    `static int` | `SC_MANAGER_CREATE_SERVICE`
    `static int` | `SC_MANAGER_ENUMERATE_SERVICE`
    `static int` | `SC_MANAGER_LOCK`
    `static int` | `SC_MANAGER_MODIFY_BOOT_CONFIG`
    `static int` | `SC_MANAGER_QUERY_LOCK_STATUS`
    `static int` | `SERVICE_ACCEPT_HARDWAREPROFILECHANGE`
    `static int` | `SERVICE_ACCEPT_NETBINDCHANGE`
    `static int` | `SERVICE_ACCEPT_PARAMCHANGE`
    `static int` | `SERVICE_ACCEPT_PAUSE_CONTINUE`
    `static int` | `SERVICE_ACCEPT_POWEREVENT`
    `static int` | `SERVICE_ACCEPT_PRESHUTDOWN`
    `static int` | `SERVICE_ACCEPT_SESSIONCHANGE`
    `static int` | `SERVICE_ACCEPT_SHUTDOWN`
    `static int` | `SERVICE_ACCEPT_STOP`
    `static int` | `SERVICE_ACCEPT_TIMECHANGE`
    `static int` | `SERVICE_ACCEPT_TRIGGEREVENT`
    `static int` | `SERVICE_ALL_ACCESS`
    `static int` | `SERVICE_CHANGE_CONFIG`
    `static int` | `SERVICE_CONFIG_DELAYED_AUTO_START_INFO`
    `static int` | `SERVICE_CONFIG_DESCRIPTION`
    `static int` | `SERVICE_CONFIG_FAILURE_ACTIONS`
    `static int` | `SERVICE_CONFIG_FAILURE_ACTIONS_FLAG`
    `static int` | `SERVICE_CONFIG_LAUNCH_PROTECTED`
    `static int` | `SERVICE_CONFIG_PREFERRED_NODE`
    `static int` | `SERVICE_CONFIG_PRESHUTDOWN_INFO`
    `static int` | `SERVICE_CONFIG_REQUIRED_PRIVILEGES_INFO`
    `static int` | `SERVICE_CONFIG_SERVICE_SID_INFO`
    `static int` | `SERVICE_CONFIG_TRIGGER_INFO`
    `static int` | `SERVICE_CONTINUE_PENDING`
    `static int` | `SERVICE_CONTROL_CONTINUE`
    `static int` | `SERVICE_CONTROL_DEVICEEVENT`
    `static int` | `SERVICE_CONTROL_HARDWAREPROFILECHANGE`
    `static int` | `SERVICE_CONTROL_INTERROGATE`
    `static int` | `SERVICE_CONTROL_NETBINDADD`
    `static int` | `SERVICE_CONTROL_NETBINDDISABLE`
    `static int` | `SERVICE_CONTROL_NETBINDENABLE`
    `static int` | `SERVICE_CONTROL_NETBINDREMOVE`
    `static int` | `SERVICE_CONTROL_PARAMCHANGE`
    `static int` | `SERVICE_CONTROL_PAUSE`
    `static int` | `SERVICE_CONTROL_POWEREVENT`
    `static int` | `SERVICE_CONTROL_PRESHUTDOWN`
    `static int` | `SERVICE_CONTROL_SESSIONCHANGE`
    `static int` | `SERVICE_CONTROL_SHUTDOWN`
    `static int` | `SERVICE_CONTROL_STOP`
    `static int` | `SERVICE_CONTROL_TIMECHANGE`
    `static int` | `SERVICE_CONTROL_TRIGGEREVENT`
    `static int` | `SERVICE_CONTROL_USERMODEREBOOT`
    `static int` | `SERVICE_ENUMERATE_DEPENDENTS`
    `static int` | `SERVICE_INTERROGATE`
    `static int` | `SERVICE_PAUSE_CONTINUE`
    `static int` | `SERVICE_PAUSE_PENDING`
    `static int` | `SERVICE_PAUSED`
    `static int` | `SERVICE_QUERY_CONFIG`
    `static int` | `SERVICE_QUERY_STATUS`
    `static int` | `SERVICE_RUNNING`
    `static int` | `SERVICE_RUNS_IN_SYSTEM_PROCESS`
    `static int` | `SERVICE_START`
    `static int` | `SERVICE_START_PENDING`
    `static int` | `SERVICE_STOP`
    `static int` | `SERVICE_STOP_PENDING`
    `static int` | `SERVICE_STOPPED`
    `static int` | `SERVICE_USER_DEFINED_CONTROL`

- - ### Field Detail

    - #### SERVICE_RUNS_IN_SYSTEM_PROCESS

          static final int SERVICE_RUNS_IN_SYSTEM_PROCESS

      See Also:
        Constant Field Values

    - #### SC_MANAGER_CONNECT

          static final int SC_MANAGER_CONNECT

      See Also:
        Constant Field Values

    - #### SC_MANAGER_CREATE_SERVICE

          static final int SC_MANAGER_CREATE_SERVICE

      See Also:
        Constant Field Values

    - #### SC_MANAGER_ENUMERATE_SERVICE

          static final int SC_MANAGER_ENUMERATE_SERVICE

      See Also:
        Constant Field Values

    - #### SC_MANAGER_LOCK

          static final int SC_MANAGER_LOCK

      See Also:
        Constant Field Values

    - #### SC_MANAGER_QUERY_LOCK_STATUS

          static final int SC_MANAGER_QUERY_LOCK_STATUS

      See Also:
        Constant Field Values

    - #### SC_MANAGER_MODIFY_BOOT_CONFIG

          static final int SC_MANAGER_MODIFY_BOOT_CONFIG

      See Also:
        Constant Field Values

    - #### SC_MANAGER_ALL_ACCESS

          static final int SC_MANAGER_ALL_ACCESS

      See Also:
        Constant Field Values

    - #### SERVICE_QUERY_CONFIG

          static final int SERVICE_QUERY_CONFIG

      See Also:
        Constant Field Values

    - #### SERVICE_CHANGE_CONFIG

          static final int SERVICE_CHANGE_CONFIG

      See Also:
        Constant Field Values

    - #### SERVICE_QUERY_STATUS

          static final int SERVICE_QUERY_STATUS

      See Also:
        Constant Field Values

    - #### SERVICE_ENUMERATE_DEPENDENTS

          static final int SERVICE_ENUMERATE_DEPENDENTS

      See Also:
        Constant Field Values

    - #### SERVICE_START

          static final int SERVICE_START

      See Also:
        Constant Field Values

    - #### SERVICE_STOP

          static final int SERVICE_STOP

      See Also:
        Constant Field Values

    - #### SERVICE_PAUSE_CONTINUE

          static final int SERVICE_PAUSE_CONTINUE

      See Also:
        Constant Field Values

    - #### SERVICE_INTERROGATE

          static final int SERVICE_INTERROGATE

      See Also:
        Constant Field Values

    - #### SERVICE_USER_DEFINED_CONTROL

          static final int SERVICE_USER_DEFINED_CONTROL

      See Also:
        Constant Field Values

    - #### SERVICE_ALL_ACCESS

          static final int SERVICE_ALL_ACCESS

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_STOP

          static final int SERVICE_CONTROL_STOP

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_PAUSE

          static final int SERVICE_CONTROL_PAUSE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_CONTINUE

          static final int SERVICE_CONTROL_CONTINUE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_INTERROGATE

          static final int SERVICE_CONTROL_INTERROGATE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_SHUTDOWN

          static final int SERVICE_CONTROL_SHUTDOWN

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_PARAMCHANGE

          static final int SERVICE_CONTROL_PARAMCHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_NETBINDADD

          static final int SERVICE_CONTROL_NETBINDADD

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_NETBINDREMOVE

          static final int SERVICE_CONTROL_NETBINDREMOVE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_NETBINDENABLE

          static final int SERVICE_CONTROL_NETBINDENABLE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_NETBINDDISABLE

          static final int SERVICE_CONTROL_NETBINDDISABLE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_DEVICEEVENT

          static final int SERVICE_CONTROL_DEVICEEVENT

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_HARDWAREPROFILECHANGE

          static final int SERVICE_CONTROL_HARDWAREPROFILECHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_POWEREVENT

          static final int SERVICE_CONTROL_POWEREVENT

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_SESSIONCHANGE

          static final int SERVICE_CONTROL_SESSIONCHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_PRESHUTDOWN

          static final int SERVICE_CONTROL_PRESHUTDOWN

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_TIMECHANGE

          static final int SERVICE_CONTROL_TIMECHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_TRIGGEREVENT

          static final int SERVICE_CONTROL_TRIGGEREVENT

      See Also:
        Constant Field Values

    - #### SERVICE_CONTROL_USERMODEREBOOT

          static final int SERVICE_CONTROL_USERMODEREBOOT

      See Also:
        Constant Field Values

    - #### SERVICE_STOPPED

          static final int SERVICE_STOPPED

      See Also:
        Constant Field Values

    - #### SERVICE_START_PENDING

          static final int SERVICE_START_PENDING

      See Also:
        Constant Field Values

    - #### SERVICE_STOP_PENDING

          static final int SERVICE_STOP_PENDING

      See Also:
        Constant Field Values

    - #### SERVICE_RUNNING

          static final int SERVICE_RUNNING

      See Also:
        Constant Field Values

    - #### SERVICE_CONTINUE_PENDING

          static final int SERVICE_CONTINUE_PENDING

      See Also:
        Constant Field Values

    - #### SERVICE_PAUSE_PENDING

          static final int SERVICE_PAUSE_PENDING

      See Also:
        Constant Field Values

    - #### SERVICE_PAUSED

          static final int SERVICE_PAUSED

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_STOP

          static final int SERVICE_ACCEPT_STOP

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_PAUSE_CONTINUE

          static final int SERVICE_ACCEPT_PAUSE_CONTINUE

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_SHUTDOWN

          static final int SERVICE_ACCEPT_SHUTDOWN

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_PARAMCHANGE

          static final int SERVICE_ACCEPT_PARAMCHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_NETBINDCHANGE

          static final int SERVICE_ACCEPT_NETBINDCHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_HARDWAREPROFILECHANGE

          static final int SERVICE_ACCEPT_HARDWAREPROFILECHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_POWEREVENT

          static final int SERVICE_ACCEPT_POWEREVENT

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_SESSIONCHANGE

          static final int SERVICE_ACCEPT_SESSIONCHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_PRESHUTDOWN

          static final int SERVICE_ACCEPT_PRESHUTDOWN

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_TIMECHANGE

          static final int SERVICE_ACCEPT_TIMECHANGE

      See Also:
        Constant Field Values

    - #### SERVICE_ACCEPT_TRIGGEREVENT

          static final int SERVICE_ACCEPT_TRIGGEREVENT

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_DESCRIPTION

          static final int SERVICE_CONFIG_DESCRIPTION

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_FAILURE_ACTIONS

          static final int SERVICE_CONFIG_FAILURE_ACTIONS

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_DELAYED_AUTO_START_INFO

          static final int SERVICE_CONFIG_DELAYED_AUTO_START_INFO

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_FAILURE_ACTIONS_FLAG

          static final int SERVICE_CONFIG_FAILURE_ACTIONS_FLAG

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_SERVICE_SID_INFO

          static final int SERVICE_CONFIG_SERVICE_SID_INFO

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_REQUIRED_PRIVILEGES_INFO

          static final int SERVICE_CONFIG_REQUIRED_PRIVILEGES_INFO

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_PRESHUTDOWN_INFO

          static final int SERVICE_CONFIG_PRESHUTDOWN_INFO

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_TRIGGER_INFO

          static final int SERVICE_CONFIG_TRIGGER_INFO

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_PREFERRED_NODE

          static final int SERVICE_CONFIG_PREFERRED_NODE

      See Also:
        Constant Field Values

    - #### SERVICE_CONFIG_LAUNCH_PROTECTED

          static final int SERVICE_CONFIG_LAUNCH_PROTECTED

      See Also:
        Constant Field Values

    - #### SC_ACTION_NONE

          static final int SC_ACTION_NONE

      See Also:
        Constant Field Values

    - #### SC_ACTION_RESTART

          static final int SC_ACTION_RESTART

      See Also:
        Constant Field Values

    - #### SC_ACTION_REBOOT

          static final int SC_ACTION_REBOOT

      See Also:
        Constant Field Values

    - #### SC_ACTION_RUN_COMMAND

          static final int SC_ACTION_RUN_COMMAND

      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.